c = 1e0;
x1 = 0.2*c; x2 = 0.5*c ; x3 = 1*c; 
W = 1*c;
z1 =-0.2*c ; z2 =-0.5*c ; z3 = -1*c;
sz1 = (x3/50) ; sz2 = sz1; sz3 = 5*sz1;

////////    definition of points, lines and face at y = 0  ///////////

p1 = 1;
Point(p1) = {0, 0, z2, sz2};    //   4-------------------3  
p2 = p1+1;
Point(p2) = {x3, 0, z2, sz2};    //   |                   |     ^
p3 = p2+1;
Point(p3) = {x3, 0, 0, sz1};    //   |   (plan y=0)      |     |
p4 = p3+1;
Point(p4) = {x2, 0, 0, sz1};    //   1-------------------2     |-----> x
p5 = p4+1;
Point(p5) = {x1,0,z1,sz1};
p6 = p5+1;
Point(p6) = {0,0,z1,sz1};

plast = p6;

l1 = 1;
Line(l1) = {p1,p2}; 
l2 = l1+1;
Line(l2) = {p2,p3}; 
l3 = l2+1;
Line(l3) = {p3,p4}; 
l4 = l3+1;
Line(l4) = {p4,p5}; 
l5 = l4+1;
Line(l5) = {p5,p6}; 
l6 = l5+1;
Line(l6) = {p6,p1}; 

llast = l6;

s1 = 1;
Line Loop(s1) = {l1,l2,l3,l4,l5,l6} ; Plane Surface(s1) = {s1} ;


////////    definition of points, lines and face at y = W  ///////////

q1 = plast+1;
Point(q1) = {0, W, z2, sz2};    //   4-------------------3  
q2 = q1+1;
Point(q2) = {x3, W, z2, sz2};    //   |                   |     ^
q3 = q2+1;
Point(q3) = {x3, W, 0, sz1};    //   |   (plan y=0)      |     |
q4 = q3+1;
Point(q4) = {x2, W, 0, sz1};    //   1-------------------2     |-----> x
q5 = q4+1;
Point(q5) = {x1,W,z1,sz1};
q6 = q5+1;
Point(q6) = {0,W,z1,sz1};

plast=q6;

m1 = llast + 1;
Line(m1) = {q1,q2}; //7
m2 = m1+1;
Line(m2) = {q2,q3}; //8
m3 = m2+1;
Line(m3) = {q3,q4}; //9
m4 = m3+1;
Line(m4) = {q4,q5}; //10
m5 = m4+1;
Line(m5) = {q5,q6}; //11
m6 = m5+1;
Line(m6) = {q6,q1}; //12

llast = m6;

s2 = 2;
Line Loop(s2) = {-m1,-m2,-m3,-m4,-m5,-m6} ; Plane Surface(s2) = {s2} ;

////////    transverse lines & surface  ///////////

n1 = llast+1;
Line(n1) = {p1,q1}; //13
n2 = n1+1;
Line(n2) = {p2,q2}; //14
n3 = n2+1;
Line(n3) = {p3,q3}; //15
n4 = n3+1;
Line(n4) = {p4,q4}; //16
n5 = n4+1;
Line(n5) = {p5,q5}; //17
n6 = n5+1;
Line(n6) = {p6,q6}; //18

llast = n6;

s3 = 3;
Line Loop(s3) = {n2,m2,-n3,-l2} ; Plane Surface(s3) = {s3} ;

s4 = 4;
Line Loop(s4) = {n3,m3,-n4,-l3} ; Plane Surface(s4) = {s4} ;

s5 = 5;
Line Loop(s5) = {n4,m4,-n5,-l4} ; Plane Surface(s5) = {s5} ;

s6 = 6;
Line Loop(s6) = {n5,m5,-n6,-l5} ; Plane Surface(s6) = {s6} ;

s7 = 7;
Line Loop(s7) = {n6,m6,-n1,-l6} ; Plane Surface(s7) = {s7} ;

s8 = 8;
Line Loop(s8) = {n1,m1,-n2,-l1} ; Plane Surface(s8) = {s8} ;

slast = s8;

r1 = plast+1;
Point(r1) = {0,0,z3,sz3};
r2 = r1+1;
Point(r2) = {1,0,z3,sz3};
r3 = r2+1;
Point(r3) = {1,1,z3,sz3};
r4 = r3+1;
Point(r4) = {0,1,z3,sz3};

o1 = llast+1;
Line(o1) = {r1,r2}; //19 
o2 = o1+1;
Line(o2) = {r2,r3}; //20
o3 = o2+1;
Line(o3) = {r3,r4}; //21
o4 = o3+1;
Line(o4) = {r4,r1}; //22
o5 = o4+1;
Line(o5) = {r1,p1}; //23
o6 = o5+1;
Line(o6) = {r2,p2}; //24
o7 = o6+1;
Line(o7) = {r3,q2}; //25
o8 = o7+1;
Line(o8) = {r4,q1}; //26

t1=slast+1;
Line Loop(t1) = {-o1,-o2,-o3,-o4} ; Plane Surface(t1) = {t1} ;
t2=t1+1;
Line Loop(t2) = {o1,o6,-l1,-o5} ; Plane Surface(t2) = {t2} ;
t3=t2+1;
Line Loop(t3) = {o2,o7,-n2,-o6} ; Plane Surface(t3) = {t3} ;
t4=t3+1;
Line Loop(t4) = {o3,o8,m1,-o7} ; Plane Surface(t4) = {t4} ;
t5=t4+1;
Line Loop(t5) = {o4,o5,n1,-o8} ; Plane Surface(t5) = {t5} ;




Mesh.MshFileVersion = 1;

